# vim: set sw=4 ts=4 et nu:

Name:               libbluray
Version:            0.2.1
%define soname 1
Release:            1.3
Summary:            Blu-Ray Disc Playback Library
Source:             ftp://ftp.videolan.org/pub/videolan/libbluray/%{version}/libbluray-%{version}.tar.bz2
URL:                http://www.videolan.org/developers/libbluray.html
Group:              System/Libraries
License:            GNU Lesser General Public License version 2.1 or later (LGPL v2.1 or later)
BuildRoot:          %{_tmppath}/build-%{name}-%{version}
BuildRequires:      gcc make glibc-devel pkgconfig
BuildRequires:      libxml2-devel
BuildRequires:      java-devel
BuildRequires:      autoconf automake libtool

%description
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

Note that most commercial Blu-Ray are protected by AACS or BD+ technologies and
this library is not enough to playback those discs.

%package -n %{name}%{soname}
Summary:            Blu-Ray Disc Playback Library
Group:              System/Libraries

%description -n %{name}%{soname}
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

Note that most commercial Blu-Ray are protected by AACS or BD+ technologies and
this library is not enough to playback those discs.

%package devel
Summary:            Blu-Ray Disc Playback Library Development Environment
Group:              Development/Libraries/C and C++
Requires:           %{name}%{soname} = %{version}

%description devel
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the environment to build applications and libraries that
use libbluray.

%package devel-static
Summary:            Blu-Ray Disc Playback Library Development Environment
Group:              Development/Libraries/C and C++
Requires:           %{name}-devel = %{version}

%description devel-static
libbluray is an open-source library designed for Blu-Ray Discs playback for
media players, like VLC or MPlayer.

This package contains the environment to build applications and libraries that
use libbluray.

%prep
%setup -q

%build
[ -e ./configure ] || NOCONFIGURE=1 autoreconf -fiv

%configure \
    --disable-doxygen-doc \
    --with-dlopen-crypto-libs \
    --with-jdk="%{java_home}"

%__make %{?_smp_mflags}

%install
%makeinstall
%__rm -f "%{buildroot}%{_libdir}"/*.la

%clean
%{?buildroot:%__rm -rf "%{buildroot}"}

%post   -n %{name}%{soname} -p /sbin/ldconfig
%postun -n %{name}%{soname} -p /sbin/ldconfig

%files -n %{name}%{soname}
%defattr(-,root,root)
%{_libdir}/libbluray.so.%{soname}
%{_libdir}/libbluray.so.%{soname}.*

%files devel
%defattr(-,root,root)
%{_includedir}/libbluray
%{_libdir}/libbluray.so
%{_libdir}/pkgconfig/libbluray.pc

%files devel-static
%defattr(-,root,root)
%{_libdir}/libbluray.a

%changelog
* Sun Dec 18 2011 cs@linux-administrator.com
- re-import
